using Newtonsoft.Json.Linq;
using System.Runtime.InteropServices.JavaScript;

namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 考核期间(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrp)]
public class Ghrp_PerformancePeriodController : BaseController<IGhrp_PerformancePeriodServices, Ghrp_PerformancePeriod, Ghrp_PerformancePeriodDto, InsertGhrp_PerformancePeriodInput, EditGhrp_PerformancePeriodInput>
{
    public Ghrp_PerformancePeriodController(IGhrp_PerformancePeriodServices service) : base(service)
    {
    }
    #region  批量展开
    /// <summary>
    /// 批量展开
    /// </summary>
    /// <param name="Stage">阶段</param>
    /// <returns></returns>
    [HttpPost, Route("BatchCreatePeriod")]
    public async Task<ServiceResult> BatchCreatePeriod([FromBody] JObject jsonParam) => await _service.BatchCreatePeriod(jsonParam);
    #endregion

}